<div class="d-flex justify-content-center align-items-center">
<div class="m-4">
  <mat-card class="example-card">
    <mat-card-header>
      <mat-card-title><h2>Reserva</h2></mat-card-title>
    </mat-card-header>
    <mat-card-content>
  <div class="container p-4">
    <form [formGroup]="thisForm" class="form-container">
      <mat-accordion class="example-headers-align">
        <mat-expansion-panel [expanded]="step === 0" (opened)="setStep(0)" hideToggle>
          <mat-expansion-panel-header>
            <mat-panel-title>
              Datos Reserva
            </mat-panel-title>
            <mat-panel-description>
              <mat-icon>calendar_today</mat-icon>
            </mat-panel-description>
          </mat-expansion-panel-header>
            <mat-form-field appearance="outline">
              <mat-label>Dpto</mat-label>
          <mat-select placeholder="Dpto" formControlName="dptoId">
            <mat-option *ngFor="let item of dptos" [value]="item.id">{{item.name}}</mat-option>
          </mat-select>
        </mat-form-field>
      <mat-form-field appearance="outline">
        <mat-label>Comienza</mat-label>
        <input matInput [matDatepicker]="startDate" formControlName="startDate"  placeholder="Comienza">
        <mat-datepicker-toggle matSuffix [for]="startDate" >
        </mat-datepicker-toggle>
        <mat-datepicker #startDate></mat-datepicker>
      </mat-form-field>
      <mat-form-field appearance="outline">
        <mat-label>Noches</mat-label>
        <input matInput type="number" formControlName="totalDays" placeholder="noches" required>
      </mat-form-field> <mat-form-field appearance="outline">
        <mat-label>Precio por noche</mat-label>
        <input matInput type="number" formControlName="pricePerDay" placeholder="Precio por noche" required>
      </mat-form-field>
        <mat-form-field appearance="outline">
      <mat-label>Total de huespedes</mat-label>
          <input matInput type="number" formControlName="totalPerson" placeholder="Total de huespedes" required>
        </mat-form-field>
        <mat-form-field appearance="outline">
          <mat-label>Reservado desde</mat-label>
          <mat-select placeholder="Reservado desde" formControlName="reservationMethod">
            <mat-option *ngFor="let item of reservationFrom" [value]="item.id">{{item.name}}</mat-option>
          </mat-select>
        </mat-form-field>
        <mat-form-field appearance="outline">
          <mat-label>Metodo de pago</mat-label>
          <mat-select placeholder="Metodo de pago" formControlName="paymentMethod">
            <mat-option *ngFor="let item of paymentMethods" [value]="item.id">{{item.name}}</mat-option>
          </mat-select>
        </mat-form-field>
          <mat-action-row>
            <button mat-stroked-button (click)="nextStep()"><mat-icon>fast_forward</mat-icon></button>
          </mat-action-row>
        </mat-expansion-panel>

        <mat-expansion-panel [expanded]="step === 1" (opened)="setStep(1)" hideToggle>
          <mat-expansion-panel-header>
            <mat-panel-title>
              Datos Huesped
            </mat-panel-title>
            <mat-panel-description>
              <mat-icon>account_circle</mat-icon>
            </mat-panel-description>
          </mat-expansion-panel-header>
        <mat-form-field appearance="outline">
          <mat-label>Nombre</mat-label>
          <input matInput formControlName="firstName" placeholder="Nombre" required>
        </mat-form-field>
        <mat-form-field appearance="outline">
          <mat-label>Apellido</mat-label>
          <input matInput formControlName="lastName" placeholder="Apellido" required>
        </mat-form-field>
        <mat-form-field appearance="outline">
          <mat-label>Telefono</mat-label>
          <input matInput formControlName="phone" placeholder="Telefono">
        </mat-form-field>
        <mat-form-field appearance="outline">
          <mat-label>E-mail</mat-label>
          <input matInput type="email" formControlName="email" placeholder="E-mail">
        </mat-form-field>
        <mat-form-field appearance="outline">
          <mat-label>Observaciones</mat-label>
          <textarea matInput formControlName="observations" cols="100" placeholder="Observaciones"></textarea>
        </mat-form-field>
          <mat-action-row>
            <button mat-stroked-button (click)="prevStep()"><mat-icon>fast_rewind</mat-icon></button>
          </mat-action-row>
        </mat-expansion-panel>

      </mat-accordion>
    </form>
  </div>
      <mat-card-actions>
        <button type="button" mat-stroked-button
                [disabled]="!thisForm.valid"
                (click)="onSubmit()">
          <mat-icon>done</mat-icon>
          Aceptar
        </button>
        <button type="button" mat-stroked-button (click)="onClose()">
          <mat-icon>close</mat-icon>
          Cancelar
        </button>
      </mat-card-actions>
    </mat-card-content>
  </mat-card>
</div>
</div>